com.holonplatform.core.property

## Class Property.PropertyWriteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.property.Property.PropertyAccessException
        - - com.holonplatform.core.property.Property.PropertyWriteException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    Property<T>

      public static class Property.PropertyWriteException
      extends Property.PropertyAccessException

  Generic exception thrown for property value writing failures.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyWriteException(Property<?> property, String message)` Constructor with error message
    `PropertyWriteException(Property<?> property, String message, Throwable cause)` Constructor with error message and nested exception
    `PropertyWriteException(Property<?> property, Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.core.property.Property.PropertyAccessException

      `getProperty`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyWriteException

          public PropertyWriteException(Property<?> property,
                                        String message)

      Constructor with error message
      Parameters:
        `property` - Property to which exception is related
        `message` - Error message

    - #### PropertyWriteException

          public PropertyWriteException(Property<?> property,
                                        Throwable cause)

      Constructor with nested exception
      Parameters:
        `property` - Property to which exception is related
        `cause` - Nested exception

    - #### PropertyWriteException

          public PropertyWriteException(Property<?> property,
                                        String message,
                                        Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `property` - Property to which exception is related
        `message` - Error message
        `cause` - Nested exception

Copyright © 2017 The Holon Platform. All rights reserved.